/* ======> FONT <====== */

@font-face {
    font-family: "Gunken";
    src: url('../src/fonts/Gunken.woff') format('woff'),
         url('../src/fonts/Gunken.woff2') format('woff2');
    font-display: swap;
}

@font-face {
    font-family: "Ageo";
    src: url('../src/fonts/Ageo.woff') format('woff'),
         url('../src/fonts/Ageo.woff2') format('woff2');
    font-display: swap;
}

@font-face {
    font-family: "Syne";
    src: url('../src/fonts/Syne.woff') format('woff'),
         url('../src/fonts/Syne.woff2') format('woff2');
    font-display: swap;
}   

/* ======> BODY <====== */

* {
    overflow-x: hidden;
    margin: 0;
}

html, body {
    background-color: #0B1220;
    margin: 0;
    padding: 0;
    scroll-behavior: smooth;
}

/* ======> HEADER <====== */

header {
    background-color: #111827;
    width: 100%;
    margin: 0;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 5px 15px;
    padding-right: 20px;
    box-sizing: border-box;
}

header img {
    border-radius: 15px;
    height: 70px;
    width: auto;
}

nav {
    font-family: "Gunken";
    flex-wrap: wrap;
    display: flex;
    gap: 20px;
    max-width: 50%;
    font-size: 18px;
}

nav a {
    text-decoration: none;
    color: #F1F5F9;
    white-space: nowrap;
}

/* ======> SECTION <====== */

#perfil {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    min-height: 90vh;
}

#projetos, #certificacoes, #timeline {
    width: 85%;
    margin: 0 auto;
    margin-top: 100px;    
}

#timeline {
    display: flex;
    flex-direction: column;
}

.section-title {
    font-family: "Gunken";
    color: #F1F5F9;
    font-size: 28px;
}

.barra-projetos {
    height: 5px;
    width: 80px;
    background: linear-gradient(to right, #3B82F6, #2563EB);
    transition: all 0.35s ease;
    border-radius: 5px;
}

.section-title:hover + .barra-projetos {
    height: 5px;
    width: 170px;
    background: linear-gradient(to right, #3B82F6, #2563EB);
}

.barra-certificacoes {
    height: 5px;
    width: 80px;
    background: linear-gradient(to right, #3B82F6, #2563EB);
    transition: all 0.35s ease;
    border-radius: 5px;
}

.section-title:hover + .barra-certificacoes {
    height: 5px;
    width: 246px;
    background: linear-gradient(to right, #3B82F6, #2563EB);
}

.barra-timeline {
    height: 5px;
    width: 80px;
    background: linear-gradient(to right, #3B82F6, #2563EB);
    transition: all 0.35s ease;
    border-radius: 5px;
}

.section-title:hover + .barra-timeline {
    height: 5px;
    width: 141px;
    background: linear-gradient(to right, #3B82F6, #2563EB);
}

/* ======> PERFIL <====== */

.card-perfil {
    height: 530px;
    width: 480px;
    background-color: #111827;
    border-radius: 15px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 15px;
    margin: 15px;
    border: 1px solid #1E293B;
}

.picture {
    border-radius: 100%;
    height: 150px;
    width: 160px;
    object-fit: cover;
    object-position: center top;
    transition: all ease 0.2s;
    border: 0.5px solid #1E293B;
}

.picture:hover {
    transform: scale(1.04) translateY(-5px);
    transform-origin: center;
    border: 1.5px solid #F1F5F9;
}

.card-perfil h1 {
    font-family: "Gunken";
    font-size: 28px;
    color: #F1F5F9;
}

.card-perfil h2 {
    font-family: "Ageo";
    font-size: 14px;
    color: #F1F5F9;
}

.social-grid {
    margin-top: 30px;
    width: 100%;
    height: 60px;
    display: flex;
    align-items: center;
    justify-content: center;
    margin-left: 5px;
    margin-right: 5px;
    gap: 15px
}

.card-perfil a {
    display: inline-block;
    background-color: #3B82F6;
    height: 40px;
    width: 120px;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 5px;
    border-radius: 15px;
    border: 0.5px solid #1E293B;
    font-family: "Ageo";
    color: #F1F5F9;
    text-decoration: none;
    transition: all 0.2s ease;
}

.social-ico {
    height: 30px;
    width: 30px;
}

.card-perfil a:hover  {
    transform: scale(1.1) translateY(-3px);
    transform-origin: center;
    border: 1.5px solid #F1F5F9;
}

/* ======> PROJETOS <====== */

#projetos-grid {
    height: auto;
    width: 90%;
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    align-items: center;
    justify-content: center;
    gap: 50px;
    padding: 20px;
    margin: 0 auto;
}

.card-projetos {
    height: 600px;
    display: flex;
    flex-direction: column;
    gap: 20px;
    background-color: #111827;
    border-radius: 15px;
    transition: all ease 0.2s;
    border: 0.5px solid #1E293B;
    overflow: hidden;
}

.card-projetos:hover {
    transform: scale(1.02) translateY(-3px);
    transform-origin: center;
    border: 1px solid #F1F5F9;
}

.card-projetos img {
    width: 100%;
    height: 40%;
    object-fit: cover;
    display: block;
    transition: all ease 0.2s;
}

.card-projetos:hover img {
    transform: scale(1.035);
}

.card-projetos h1 {
    font-family: "Gunken";
    font-size: 24px;
    color: #F1F5F9;
    padding-left: 25px;
}

.card-projetos h2 {
    font-family: "Ageo";
    font-size: 16px;
    color: #F1F5F9;
    padding-left: 25px;
}

.tec-grid {
    display: flex;
    flex-direction: row;
    gap: 15px;
    padding-left: 25px;
    padding-right: 25px;
    padding-top: 5px;
    padding-bottom: 5px;
    flex-wrap: wrap;
}

.card-projetos h3 {
    display: block;
    width: auto;
    padding: 5px;
    border-radius: 5px;
    background-color: #3b83f62a;
    border: 1px solid #2563EB;
    font-family: "Syne";
    font-size: 16px;
    color: #F1F5F9;
    transition: all ease 0.2s;
}

.card-projetos h3:hover {
    background-color: #3b83f66c;
    border: 1px solid #2563EB;
    transform: scale(1.05);
}

.link-grid {
    height: 50px;
    width: 100%;
    gap: 15px;
    padding-left: 25px;
    display: flex;
    align-items: center;
}

.link-grid a {
    display: block flex;
    flex-direction: row;
    align-items: center;
    gap: 5px;
    font-family: "Syne";
    font-size: 20px;
    text-decoration: none;
    color: #F1F5F9;
    transition: all ease 0.3s;
}

.link-grid a:hover {
    color: #3B82F6;
    transform: scale(1.05);
}

.icon {
    height: 24px;
    width: 24px;
}

/* ======> CERTIFICAÇÕES <====== */
#certificacoes-grid {
    width: 90;
    height: auto;
    margin: 0;
    margin-top: 20px;
    padding: 0;
    box-sizing: border-box;
    display: grid;
    grid-template-columns: repeat(3, 1fr);
}

.card-certificacoes {
    height: 500px;
    width: auto;
    display: flex;
    flex-direction: column;
    gap: 20px;
    background-color: #111827;
    border-radius: 15px;
    transition: all ease 0.2s;
    border: 0.5px solid #1E293B;
    overflow: hidden;
}

/* ======> TIMELINE <====== */

.post-grid {
    width: 75%;
    height: auto;
    gap: 10px;
    display: flex;
    justify-content: space-between;
    margin: 0 auto;
    margin-top: 20px;
    box-sizing: border-box;
    overflow: hidden;
}

.post-grid h1 {
    font-family: "Syne";
    font-size: 14px;
    color: #F1F5F9
}

.card-post {
    width: 90%;
    height: auto;
    background-color: #111827;
    border: 1px solid #1E293B;
    border-radius: 15px;
    padding: 15px;
    box-sizing: border-box;
    overflow: hidden;
}

.card-post-title {
    font-family: "Gunken";
    font-size: 22px;
    color: #F1F5F9;
}

.card-post h2 {
    font-family: "Ageo";
    font-size: 16px;
    color: #F1F5F9;
    margin-top: 25px;
}

.card-link-grid {
    width: 100%;
    height: auto;
    display: flex;
    justify-content: center;
    align-items: center;
}

.card-link-grid a {
    display: block flex;
    flex-direction: row;
    width: 90%;
    padding: 10px;
    background-color: #1F2937;
    border: 1px solid #334155;
    border-radius: 5px;
    margin: 15px;
    transition: all ease 0.2s;
    gap: 20px;
    text-decoration: none;
}

.card-link-grid a:hover {
    transform: scale(1.02);
}

.card-link-grid img {
    height: 32px;
    width: 32px;
}

.card-link-text-grid {
    height: 100%;
    width: auto;
    display: flex;
    flex-direction: column;
    gap: 0;
}

.card-link-title {
    font-family: "Ageo";
    font-size: 16px;
    color: #F1F5F9;

}

/* ======> FOTER <====== */

footer {
    width: 100vw;
    font-family: "Syne";
    font-size: 12px;
    color: #F1F5F9;
    display: flex;
    align-items: center;
    justify-content: center;
    margin-top: 15px;
    flex-direction: column;
    padding: 10px;
    gap: 15px;
}

.footer-barra {
    height: 5px;
    width: 280px;
    border-radius: 5px;
    background-color: #334155;
}

.footer-social-grid {
    width: 100%;
    height: auto;
    padding: 10px;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: row;
    gap: 15px;
}

footer a {
    display: inline-block;
    background-color: #3B82F6;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 5px;
    border-radius: 15px;
    border: 0.5px solid #1E293B;
    font-family: "Ageo";
    color: #F1F5F9;
    text-decoration: none;
    transition: all 0.2s ease;
    height: 40px;
    width: 120px;
    font-family: "Ageo";
    font-size: 16px;

}

footer a:hover {
    transform: scale(1.1) translateY(-3px);
    transform-origin: center;
    border: 1.5px solid #F1F5F9;
}

@media (max-width: 768px) {

    /* HEADER */
    header {
        flex-direction: column;
        align-items: center;
        padding: 15px;
        gap: 10px;
    }

    header img {
        height: 50px;
    }

    nav {
        justify-content: center;
        max-width: 100%;
        font-size: 13px;
        gap: 10px;
    }

    /* PERFIL */
    #perfil {
        min-height: auto;
        padding: 40px 15px;
    }

    .card-perfil {
        width: 90%;
        height: auto;
        padding: 30px 15px;
        box-sizing: border-box;
    }

    .card-perfil h1 {
        font-size: 22px;
    }

    .card-perfil h2 {
        text-align: center;
        padding: 0 10px;
        font-size: 12px;
    }

    .social-grid {
        flex-wrap: wrap;
        justify-content: center;
        height: auto;
        gap: 10px;
    }

    .card-perfil a {
        width: 100px;
        height: 36px;
        font-size: 13px;
    }

    .social-ico {
        height: 22px;
        width: 22px;
    }

    /* SECTIONS */
    #projetos, #certificacoes, #timeline {
        width: 95%;
        margin-top: 50px;
    }

    .section-title {
        font-size: 22px;
    }

    /* PROJETOS */
    #projetos-grid {
        grid-template-columns: repeat(2, 1fr);
        width: 100%;
        gap: 15px;
        padding: 10px 0;
        align-items: stretch;
    }

    .card-projetos {
        height: 100%;
        min-height: 0;
        gap: 12px;
    }

    .card-projetos img {
        height: 120px;
    }

    .card-projetos h1 {
        font-size: 14px;
        padding-left: 12px;
    }

    .card-projetos h2 {
        font-size: 11px;
        padding-left: 12px;
        padding-right: 12px;
        display: -webkit-box;
        -webkit-line-clamp: 3;
        -webkit-box-orient: vertical;
        overflow: hidden;
    }

    .tec-grid {
        flex-wrap: wrap;
        gap: 5px;
        padding: 0 12px;
    }

    .card-projetos h3 {
        font-size: 10px;
        padding: 3px 5px;
        white-space: nowrap;
    }

    .link-grid {
        padding-left: 12px;
        gap: 10px;
        height: auto;
        padding-bottom: 12px;
    }

    .link-grid a {
        font-size: 13px;
    }

    .icon {
        height: 16px;
        width: 16px;
    }

    /* TIMELINE */
    .post-grid {
        width: 100%;
        flex-direction: column;
        gap: 8px;
    }

    .post-grid h1 {
        font-size: 12px;
    }

    .card-post {
        width: 100%;
    }

    .card-post-title {
        font-size: 16px;
    }

    .card-post h2 {
        font-size: 13px;
        margin-top: 15px;
    }

    .card-link-grid a {
        width: 100%;
        margin: 10px 0;
    }

    /* FOOTER */
    .footer-social-grid {
        flex-wrap: wrap;
        gap: 10px;
    }

    footer a {
        width: 100px;
        height: 36px;
        font-size: 13px;
    }
}